<div id="menuOrdenPreparacion" style="z-index:20000">
	
    <?php if(!$producto['Error'] && !$noMostrarPlay) { ?>
    <img id="botonLectura" src="<?php echo DIR_IMAGENES; ?>/botones/play.png" alt="Comenzar lectura" class="icono continuar"/>
    <?php } else { ?>
    <img id="botonLecturaOff" src="<?php echo DIR_IMAGENES; ?>/botones/play-off.png" alt="" class="icono off"/>
    <?php } ?>
    
    <?php if($_SESSION['entradaTrazabilidad']['Estado']=='Iniciada' ) { ?>
    <img id="botonFinalizar" src="<?php echo DIR_IMAGENES; ?>/botones/stop.png" alt="Salir de esta entrada" class="icono"/>
    <?php } else { ?>
    <img id="botonFinalizarOff" src="<?php echo DIR_IMAGENES; ?>/botones/stop-off.png" alt="Salir de esta entrada" class="icono off"/>
    <?php } ?>
    
    <?php if(!$noMostrarInfo) { ?>
    <img id="botonInfo" src="<?php echo DIR_IMAGENES; ?>/botones/info.png" alt="Ver detalle de la entrada" class="icono"/>
    <?php } else { ?>
    <img id="botonInfoOff" src="<?php echo DIR_IMAGENES; ?>/botones/info-off.png" alt="" class="icono"/>
    <?php } ?>
    
    <?php if($_SESSION['entradaTrazabilidad']['Estado']=='Iniciada') { ?>
    <img id="botonPausar" src="<?php echo DIR_IMAGENES; ?>/botones/pause.png" alt="Pausar y volver al listado" class="icono"/>
    <?php } else { ?>
    <img id="botonVolver" src="<?php echo DIR_IMAGENES; ?>/botones/back.png" alt="Volver al listado" class="icono"/>
    <?php } ?>
    
</div>

<script>

var mensajeError='ATENCIÓN: Hay lecturas de Trazabilidad no enviadas a Proxium.<br>Si continúas, estas lecturas se descartarán y no serán registradas.';

function comprobarLecturasPendientes() {

	$.post( "<?php echo $rutaHtml; ?>/contenidos/trazabilidad-tabaco-lecturas.php", { 'accion' : 'contar' })
	.done(function(data) {
		if(data>0) {
			confirm(mensajeError)
			.done(function(){
				return true;
			});
		}
	});

}


function irDetalleEntrada() {

	$('#popupCargando').show();
	
	window.location='<?php echo $rutaHtml; ?>/trazabilidad-tabaco-entrada.php?entrada=<?php echo $_SESSION['entradaTrazabilidad']['NumEntrada']; ?>&empresa=<?php echo $_SESSION['entradaTrazabilidad']['Empresa']; ?>';
		
}

function finalizar() {

	$('#popupCargando').show();
	
	$.post( "<?php echo $rutaHtml; ?>/contenidos/trazabilidad-tabaco-entrada-finalizar.php" )
	.done(function(data) {
		var resultado=data.split('#');
		if(resultado[0]==1) {
			$('#popupCargando').hide();
			alert('Error: '+resultado[1]);
		}
		else window.location='<?php echo $rutaHtml; ?>/trazabilidad-tabaco-entradas.php';	
	});
	
}

function volver() {

	$('#popupCargando').show();
	
	window.location='<?php echo $rutaHtml; ?>/trazabilidad-tabaco-entradas.php';	
}

$(document).ready(function() {

	$('#botonInfo').on("click",function(e){
	
		e.preventDefault();
		
		$.post( "<?php echo $rutaHtml; ?>/contenidos/trazabilidad-tabaco-lecturas.php", { 'accion' : 'contar' })
		.done(function(data) {
			if(data>0) {
				confirm(mensajeError,'advertencia')
				.done(function(){
					irDetalleEntrada();
				});
			}
			else irDetalleEntrada();
		});
	
	});
	

	<?php if($_SESSION['entradaTrazabilidad']['Estado']=='Iniciada') { ?>
	
	$('#botonFinalizar').on("click",function(e){
	
		e.preventDefault();
		
		$.post( "<?php echo $rutaHtml; ?>/contenidos/trazabilidad-tabaco-lecturas.php", { 'accion' : 'contar' })
		.done(function(data) {
			if(data>0) {
				confirm(mensajeError,'advertencia')
				.done(function(){
					finalizar();
				});
			}
			else finalizar();
		});
		
	});

	<?php } ?>
	
	$('#botonPausar').on("click",function(e){
	
		e.preventDefault();
		
		$.post( "<?php echo $rutaHtml; ?>/contenidos/trazabilidad-tabaco-lecturas.php", { 'accion' : 'contar' })
		.done(function(data) {
			if(data>0) {
				confirm(mensajeError)
				.done(function(){
					volver();
				});
			}
			else volver();
		});
			
	});
	
	$('#botonVolver').on("click",function(e){
	
		e.preventDefault();
		
		$.post( "<?php echo $rutaHtml; ?>/contenidos/trazabilidad-tabaco-lecturas.php", { 'accion' : 'contar' })
		.done(function(data) {
			if(data>0) {
				confirm(mensajeError,'advertencia')
				.done(function(){
					volver();
				});
			}
			else volver();
		});
		
	});
	
});

</script>